Bug 145458 - lock_gulmd initscript should run only in gulm configuration
lock_gulmd initscript should run only in gulm configuration
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gulm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam "mantis" Manthei
Cluster QE
Depends On:
Blocks: 144795
  Show dependency treegraph
Reported: 2005-01-18 12:34 EST by Adam "mantis" Manthei
Modified: 2009-04-16 15:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-09 16:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam "mantis" Manthei 2005-01-18 12:34:09 EST
Description of problem:
The gulm initscript should run only if a gulm configuration is
detected.  The script will need to check /etc/cluster/cluster.conf to
determine if gulm is configured since ccsd will not be in a quorate
state when this script is started on bootup.  The check should
silently cause the initscript to exit so that users are not alarmed by
unneccessary error messages.

Version-Release number of selected component (if applicable):
problem exits in  gulm-1.0-0.pre11.0 and earlier.
Comment 1 Adam "mantis" Manthei 2005-01-20 12:58:28 EST
diff -u -p -r1.1.2.4 lock_gulmd
--- cluster-RHEL4/gulm/init.d/lock_gulmd        12 Jan 2005 16:00:26
+++ cluster-RHEL4/gulm/init.d/lock_gulmd        20 Jan 2005 17:55:34 -0000
@@ -36,6 +36,21 @@ then
        GULM_OPTS="$GULM_OPTS --use_ccs"
+# If gulm is using ccs, then make sure that there is a gulm
+# section in /etc/cluster/cluster.conf, otherwise abort.
+# FIXME -- Should this be silent?  I think users should get some
+#          feedback, but others might not want added verbosity to
+#          the boot process.  Oh well... it's only one line :)
+if echo "$GULM_OPTS" | grep -qE "(--use_ccs|[\t ]-[VhCed]*c)" 
+       if ! grep -qE "<[\t ]*gulm[\t ]*.*>" /etc/cluster/cluster.conf 
+       then
+               echo "lock_gulmd: no <gulm> section detected in
+               exit 11
+       fi

/cvs/cluster/cluster/gulm/init.d/lock_gulmd,v  <--  lock_gulmd
new revision: 1.5; previous revision: 1.4

/cvs/cluster/cluster/gulm/init.d/lock_gulmd,v  <--  lock_gulmd
new revision:; previous revision:
Comment 2 Derek Anderson 2005-02-09 16:11:17 EST
Verified in gulm-1.0-0.pre16.0.

Starting lock_gulmd:  no <gulm> section detected in 
etc/cluster/cluster.conf [FAILED]

Note You need to log in before you can comment on or make changes to this bug.